﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_StockInquiryScript")
<div class="content">
    
    <table style="width: 100%">
        <tr>
            <td style="width:30%;border:1px solid black;padding:7px;">
                <table>
                    <tr>
                        <td style="width: 5%;">
                            @Html.DevExpress().Label(
                            Label =>
                            {
                            Label.Text = "Upload File";
                            Label.Width = 90;
                            }).GetHtml()
                        </td>
                        <td>

                            @Html.DevExpress().TextBox(hsettings =>
                            {
                                hsettings.Name = "Process_ID2";
                                hsettings.ClientVisible = false;
                            }).GetHtml()
                            @using (Html.BeginForm("CallbackUploadDocument", "SHIPPING_SCHEDULE", FormMethod.Post))
                            {
                                @Html.Hidden("refFileName", "");
                                @Html.DevExpress().UploadControl(
                                Uploader =>
                                {
                                    Uploader.Name = "UploadAdjustStock";
                                    Uploader.CallbackRouteValues = new { Controller = "StockInquiry", Action = "CallbackUploadDocument" };
                                    Uploader.ShowProgressPanel = false;
                                    //Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                                    Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBackRefFile(e.callbackData);}}";
                                    Uploader.Width = 200;

                                }).GetHtml()
                            }
                            @Html.DevExpress().HyperLink(Link =>
                            {
                            Link.Name = "I_DownloadLink";
                            Link.Properties.Text = "Download Template";
                            Link.Width = 160;
                            Link.Properties.ClientSideEvents.Click = "DownloadTemplate";
                            Link.NavigateUrl = "javascript:void(0)";
                            Link.Style.Add("display", "inline-table");
                            }).GetHtml()
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 5%;">
                            @Html.DevExpress().Label(
                            Label =>
                            {
                            Label.Text = "Upload Reff";
                            Label.Width = 90;
                            }).GetHtml()
                        </td>
                        <td>
                            <br />

                            @Html.DevExpress().TextBox(hsettings =>
                            {
                                hsettings.Name = "Process_ID3";
                                hsettings.ClientVisible = false;
                            }).GetHtml()
                            @using (Html.BeginForm("CallbackUploadRef", "StockInquiry", FormMethod.Post))
                            {
                                @Html.DevExpress().UploadControl(
                                Uploader =>
                                {
                                    Uploader.Name = "UploadRef";
                                    Uploader.CallbackRouteValues = new { Controller = "StockInquiry", Action = "CallbackUploadRef" };
                                    Uploader.ShowProgressPanel = false;
                                    //Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                                    Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBackRef(e.callbackData);}}";
                                    Uploader.Width = 200;

                                }).GetHtml()
                            }
                        </td>
                        <td>
                            <br />

                            @Html.DevExpress().Button(Button =>
                            {
                            Button.Name = "I_Upload_REF";
                            Button.Text = "Upload";
                            Button.Width = 120;
                            Button.ClientSideEvents.Click = "UploadDataStockInquiry";
                            //Button.Style.Add("display", "inline-table");
                            Button.UseSubmitBehavior = true;
                            //Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("VESSEL_SCHEDULE", "FTR-SPEX-55-01", "Upload");
                            }).GetHtml()
                        </td>
                    </tr>


                </table>
            </td>
            <td style="width: 70%;border:1px solid black;padding:7px;">
                <table width="100%">
                    <tr style="height:40px">
                        <td style="width: 3%;">
                        </td>

                        <td style="width: 5%;">
                            @Html.DevExpress().Label(
                            Label =>
                            {
                            Label.Text = "Part No";
                            Label.Width = 90;
                            }).GetHtml()
                        </td>
                        <td style="width: 10%;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                            settings.Name = "I_PART_NO";
                            settings.Width = 200;
                            settings.Properties.MaxLength = 15;
                            settings.Properties.ClientSideEvents.Init = "SetFocus";
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                            }
                            ).GetHtml()
                        </td>
                        <td style="width: 3%;">
                        </td>
                        <td style="width: 5%;">
                            @Html.DevExpress().Label(
                            Label =>
                            {
                            Label.Text = "Part Address";
                            Label.Width = 90;
                            }).GetHtml()
                        </td>
                        <td style="width: 15%;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                            settings.Name = "I_RACK_ADDRESS";
                            settings.Properties.MaxLength = 12;
                            settings.Width = 200;
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                            }
                            ).GetHtml()
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <br />
                        </td>
                    </tr>
        <tr>
            <td colspan="6" align="right">
                @Html.DevExpress().Button(edtSetting =>
                {
                edtSetting.Name = "cmdSearch";
                edtSetting.Width = 80;
                edtSetting.Text = "Search";
                edtSetting.ClientSideEvents.Click = "OnSearch";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                //            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "SEARCH");
                }).GetHtml()
                @Html.DevExpress().Button(edtSetting =>
                {
                edtSetting.Name = "cmdClear";
                edtSetting.Width = 80;
                edtSetting.Text = "Clear";
                edtSetting.ClientSideEvents.Click = "OnClear";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                //           edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "CLEAR");
                }).GetHtml()
            </td>

        </tr>

                </table>
            </td>
        </tr>
        <tr>
            </br>
        </tr>
        <tr>
            <td colspan="2">
                <hr />
            </td>
        </tr>
        <tr>
            <td style="width: 20%">
                <table>
                    <tr>
                        <td style="width:300px;">
                            @Html.DevExpress().Button(edtSetting =>
                            {
                            edtSetting.Name = "cmdDownload";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Download";
                            edtSetting.ClientSideEvents.Click = "DownloadData";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "DOWNLOAD");
                            }).GetHtml()
                            @Html.DevExpress().Button(edtSetting =>
                            {
                            edtSetting.Name = "cmdSave";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Save";
                            edtSetting.ClientSideEvents.Click = "SaveData";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //         edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "SAVE");
                            }).GetHtml()
                            @Html.DevExpress().Button(edtSetting =>
                            {
                            edtSetting.Name = "cmdCancel";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Cancel";
                            edtSetting.ClientSideEvents.Click = "CancelData";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //       edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "CANCEL");
                            }).GetHtml()
                        </td>
                        <td style="padding-left:1em; padding-top:10px;">
                            <br />
                        </td>
                    </tr>
                </table>
            </td>
            <td style="width: 45%" align="right">
                @Html.DevExpress().Button(edtSetting =>
                {
                edtSetting.Name = "cmdEdit";
                edtSetting.Width = 80;
                edtSetting.Text = "Adjust";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                edtSetting.ClientVisible = true;
                edtSetting.ClientSideEvents.Click = "EditData";
                    //            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "ADD");
                }).GetHtml()
            </td>
        </tr>
    </table>
</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("StockInquiryGrid")
</div>